class _BaseException(Exception):
  pass


class MissingDataTypeException(_BaseException):
  pass


class MissingIndexException(_BaseException):
  pass


class MalformedIndexException(_BaseException):
  pass


class MalformedIndexConditionException(_BaseException):
  pass


class NotFoundException(_BaseException):
  pass


class DuplicateDataTypeException(_BaseException):
  pass


class DuplicateIndexException(_BaseException):
  pass


class UpdateConditionException(_BaseException):
  pass


class ComputedFieldException(_BaseException):
  pass
